 package com.huimv.acquisition.controller;

 import com.huimv.acquisition.entity.EartagRegisterEntity;
 import com.huimv.acquisition.result.R;
 import com.huimv.acquisition.service.EartagRegisterService;
 import com.huimv.acquisition.utils.PageUtils;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;

 import java.util.Arrays;
 import java.util.Map;


 /**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-29 14:55:44
 */
@RestController
@RequestMapping("management/eartagregister")
@CrossOrigin
public class EartagRegisterController {
    @Autowired
    private EartagRegisterService eartagRegisterService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = eartagRegisterService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		EartagRegisterEntity eartagRegister = eartagRegisterService.getById(id);

        return R.ok().put("eartagRegister", eartagRegister);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody EartagRegisterEntity eartagRegister){
		eartagRegisterService.save(eartagRegister);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody EartagRegisterEntity eartagRegister){
		eartagRegisterService.updateById(eartagRegister);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		eartagRegisterService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
